# Docs

Will allow you to see the version of the Mirror Node that Validation Cloud is running by looking at the `openapi.yml` file.

This method will use `10` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

`None`

## Returns

```json
// Result
openapi: 3.0.3
paths:
...
info:
  title: Hedera Mirror Node REST API
  version: 0.107.2
...
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.hedera.validationcloud.io/v1/<YOUR_API_KEY_HERE>/api/v1/docs/openapi.yml \
    -X GET

# Or visit the above URL in your browser, note you will need to include your API Key.
```

{% endtab %}

{% tab title="testnet" %}

<pre class="language-bash"><code class="lang-bash">curl https://testnet.hedera.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE>/api/v1/docs/openapi.yml \
    -X GET

<strong># Or visit the above URL in your browser, note you will need to include your API Key.
</strong></code></pre>

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/hedera/rest-mirror-node-api/docs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
